/*
 * UpdaterThread.cpp
 *
 *  Created on: Nov 3, 2010
 *      Author: Thomas Schwery
 */

#include "UpdaterThread.h"

UpdaterThread::UpdaterThread(StationsState * state) : QObject() {
    this->state = state;

    pageDl = new PageDownloader("http://www.bicincitta.com/Citta_CH.asp");

    QTimer * updaterTimer = new QTimer();
    QObject::connect(updaterTimer, SIGNAL(timeout()), this, SLOT(update()));
    updaterTimer->start(60000);
}

UpdaterThread::~UpdaterThread() {
    
}

void UpdaterThread::update() {
    pageDl->get(this);
}

void UpdaterThread::dataArrived() {
    QString data = pageDl->getData();
    state->setStations(PageParser::parsePage(data));
    emit dataUpdated();
}
